Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
POSTTicket OperationsSince 3.0.0SynchronousAuth Required

AddIAM2TicketFlow

AddIAM2TicketFlow

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • approverUuidStringRequired

      审批人UUID。

    • approverTitleString

      Optional.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • collectionUuidStringRequired

      采集UUID。

    • parentFlowUuidString

      Optional.

    • resourceUuidString

      Optional.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryTicketFlowInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • parentFlowUuidStringRequired

      No description provided.

    • flowContextStringRequired

      No description provided.

    • flowContextTypeStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • collectionUuidStringRequired

      采集UUID。

Endpoint

POST/zstack/v1/tickets/flow

/zstack/v1/tickets/flow

Operation ID

AddIAM2TicketFlow

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/tickets/flow' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"approverUuid":"<approverUuid>","approverTitle":"<approverTitle>","name":"<name>","description":"<description>","collectionUuid":"<collectionUuid>","parentFlowUuid":"<parentFlowUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "f9b5298fc4d2429294513ffe340215c8", "name": "flow1", "description": "flow description", "parentFlowUuid": "4ca39493ec06407cb50fa92880f9bcbc", "flowContextType": "{\"approverUuid\":\"99a8ba4f86564f0787ab2c8b11bfadb0\"}", "createDate": "Dec 28, 2018 6:38:25 PM", "lastOpDate": "Dec 28, 2018 6:38:25 PM", "collectionUuid": "5d32a7a22ea645409dd7b12b5223f723" } }

Change History

This API has no change history records yet.

View all change history